.TH STRUTIL 3 "October 18, 1990" "NeXT Computer, Inc."
.SH NAME
.nh
blank, hasdigit, haslower, hasupper, 
strtolower, strtoupper, strindex, translate \- more string functions
.SH SYNOPSIS
.B #include <text/strutil.h>
.PP
.SH DESCRIPTION
.nh
These functions provide useful string manipulations. 
They are part of the common text library, libtext. 
.SH SUMMARY
.nh
int
\fBblank\fR(char *\fIs\fR);
.in +.5in
.sp
Returns true if \fIs\fR is blank, that is, either null or full of white space.
.in -.5in
.PP
.nh
char *\fBhasdigit\fR(char *\fIs\fR);
.in +.5in
.sp
Returns a pointer to the first digit in \fIs\fR, 
or NULL if no digits were found.
.in -.5in
.PP
.nh
char *\fBhaslower\fR(char *\fIs\fR);
.in +.5in
.sp
Returns a pointer to the first lowercase character in \fIs\fR, 
or NULL if no lowercase characters were found.
.in -.5in
.PP
.nh
char *\fBhasupper\fR(char *\fIs\fR);
.in +.5in
.sp
Returns a pointer to the first uppercase character in \fIs\fR, 
or NULL if no uppercase characters were found.
.in -.5in
.PP
.nh
char *\fBplural\fR(char *\fIs\fR);
.in +.5in
.sp
Returns a reasonable guess at the plural form of \fIs\fR.
.in -.5in
.PP
.nh
char *\fBsingular\fR(char *\fIs\fR);
.in +.5in
.sp
Returns a reasonable guess at the singular form of \fIs\fR,
or NULL if \fIs\fR is not a recognizeable plural form.
.in -.5in
.PP
.nh
char *\fBstrtolower\fR(char *\fIs\fR);
.in +.5in
.sp
Converts \fIs\fR to lowercase and returns \fIs\fR,
or NULL if no uppercase characters were found.
.in -.5in
.PP
.nh
char *\fBstrtoupper\fR(char *\fIs\fR);
.in +.5in
.sp
Converts \fIs\fR to uppercase and returns \fIs\fR,
or NULL if no lowercase characters were found.
.in -.5in
.PP
.nh
char *\fBstrindex\fR(char *\fIs\fR, char *\fIt\fR);
.in +.5in
.sp
Returns a pointer to the first occurence of \fIt\fR in \fIs\fR, 
or NULL if not found.
.in -.5in
.PP
.nh
\fBtranslate\fR(char *\fIs\fR, char \fIa\fR, char \fIb\fR);
.in +.5in
.sp
Converts all occurences of \fIa\fR to \fIb\fR in \fIs\fR.
.in -.5in
.PP
.SH "SEE ALSO"
text(3)
